/*
Style Responsive
Version: 1.0
Theme_URI: https://www.lemon.nl
Date: 12-2024
Author: Roeland ten Holder | Lemon
Author URI: roeland@lemon.nl
*/

/** ******************************** **/
/**      _____                       **/
/**    _(  _  )__________________    **/
/**   ( | (___)     | ____ |  _  |   **/
/**   |_|_______|_|_|______|_| |_|   **/
/**                                  **/
/**            www.lemon.nl          **/
/**                                  **/
/** ******************************** **/

/************* RESPONSIVE *************/
.desktop 		{ display: block; }
.desktop-inline { display: inline-block; }
.mobile,
.mobile-inline	{ display: none; }


/* Responsive menu */
.navbar-toggler {
	display: none;
	padding: 10px 9px;
	border: 0;
	/* position: fixed; */
	top: 19px;
	right: 16px;
	z-index: +2;
	width: 40px;
	height: 40px;
	border-radius: 0;
	background-color: transparent;
	transition: all 0.2s;
}

/* Closed show hamhurger */
.navbar-toggler:focus {
	box-shadow: none;
}

.navbar-toggler-inner,
.navbar-toggler-inner::before,
.navbar-toggler-inner::after {
	display: block;
	width: 22px;
	height: 2px;
	background-color: var(--black);
	border-radius: 4px;
	position: absolute;
	transition-property: transform;
	transition-duration: 0.15s;
	transition-timing-function: ease;
}
.navbar-toggler-inner::before 									{ content: " "; top: -7px; }
.navbar-toggler-inner::after 									{ content: " "; bottom: -7px; }

/* Opened show X */
.navbar-toggler:not(.collapsed) .navbar-toggler-inner 			{ transform: rotate(45deg); }
.navbar-toggler:not(.collapsed) .navbar-toggler-inner::before 	{ opacity: 0; }
.navbar-toggler:not(.collapsed) .navbar-toggler-inner::after 	{ transform: rotate(-90deg); bottom: 0; }




/* Extra breakpoint */
@media (max-width: 1269.98px) {

}


/* Extra breakpoint */
@media (max-width: 1169.98px) {

}


/* Bootstrap Breakpoint - Large devices (desktops, 992px and up) */
@media (max-width: 991.98px) {

	html { margin-top: 0 !important; }
	#wpadminbar { display: none !important; }

	.widthcontainer { padding-left: 30px; padding-right: 30px; }

	.widthcontainer.has-nav {
		padding-left: 10px;
		padding-right: 10px;
	}

	.widthcontainer.shift-up .container {
		padding-left: 10px;
		padding-right: 10px;
	}

	.button.bottoms {
		margin-bottom: 30px !important;
	}

	.shift-up {
		margin-top: -30px;
	}


	.desktop,
	.desktop-inline	{ display: none; }
	.mobile 		{ display: block; }
	.mobile-inline 	{ display: inline-block; }

	h1			{ font-size: 32px; }
	h2			{ font-size: 28px; }
	body		{ font-size: 18px; }
	.big		{ font-size: 20px; }
	.small 		{ font-size: 10px; }
	.button 	{
		font-size: 15px;
		width: 100%;
		padding: 10px;
		margin: 0;
		max-width: 360px;
	}
	
	.logo {
		max-width: 240px;
	}

}


/* Extra breakpoint */
@media (max-width: 889.98px) {

}


/* Bootstrap Breakpoint - Medium devices (tablets, 768px and up) */
@media (max-width: 767.98px) {
	.pagewrapper 		{ width: 100%; margin-left: auto; margin-right: auto; }
	.fullcontainer 		{ width: 100%; max-width: 100%;   padding-left: 0; padding-right: 0; }
	.headerwrapper 		{ width: 100%; max-width: 100%;   padding: 0; margin-left: auto; margin-right: auto; margin-bottom: 0px; }
	.widthcontainer 	{ width: 100%; max-width: 1440px; padding-left: var(--halfmargin); padding-right: var(--halfmargin); margin-left: auto; margin-right: auto; }
	.headercontainer 	{ width: 100%; max-width: 1350px; padding-left: 10px; padding-right: 10px; margin-left: auto; margin-right: auto; }
	.container 			{ width: 100%; max-width: 1240px; padding-left: var(--halfmargin); padding-right: var(--halfmargin); margin-left: auto; margin-right: auto; }
	.navbar .container 	{ width: 100%; max-width: 1240px; margin-left: auto; margin-right: auto; }
	.smallcontainer 	{ width: 100%; max-width: 960px;  padding-left: var(--halfmargin); padding-right: var(--halfmargin); margin-left: auto; margin-right: auto; }

	


	.header {
		aspect-ratio: 1/1.2;
		background-image: url('images/rijdenalseenkoning-mobile.jpg?v=2');
	}

	.header h1 {
		width: 82%;
		aspect-ratio: 2 / 1;
		left: 9%;
		top: 9%;
	}

	.header .small {
		bottom: 30px;
	}

	.shift-up {
        margin-top: -25px;
    }

}


/* Bootstrap Breakpoint - Small devices (landscape phones, 576px and up) */
@media (max-width: 575.98px) {

}
